<?php
// Запрет прямого доступа.
defined('_JEXEC') or die;

// Подключаем библиотеку представления Joomla.
jimport('joomla.application.component.view');

/**
 * HTML представление списка сообщений компонента HelloWorld.
 */
class BonussystemViewBonusrules extends JViewLegacy
{
	/**
	 * Сообщения.
	 *
	 * @var  array
	 */
	protected $items;

	/**
	 * Постраничная навигация.
	 *
	 * @var  object
	 */
	protected $pagination;

	/**
	 * Отображаем список сообщений.
	 *
	 * @param   string  $tpl  Имя файла шаблона.
	 *
	 * @return  void
	 *
	 * @throws  Exception
	 */
	public function display($tpl = null)
	{
		try
		{
			// Получаем данные из модели.
			$this->items = $this->get('Items');

			// Получаем объект постраничной навигации.
			$this->pagination = $this->get('Pagination');

			// Устанавливаем панель инструментов.
			$this->addToolBar();
      
      // Устанавливаем подменю.
      BonussystemHelper::addSubmenu('mrule');
			// Отображаем представление.
			parent::display($tpl);
		}
		catch (Exception $e)
		{
			throw new Exception($e->getMessage());
		}
	}

	/**
	 * Устанавливает панель инструментов.
	 *
	 * @return void
	 */
	protected function addToolBar()
	{
		JToolBarHelper::title(JText::_('COM_BONUSSYSTEM_MANAGER_BONUSSYSTEMS'), 'bonussystem');
		JToolBarHelper::addNew('bonusrule.add');
		JToolBarHelper::editList('bonusrule.edit');
		JToolBarHelper::divider();
		JToolBarHelper::deleteList('', 'bonusrules.delete');
		JToolBarHelper::divider();
    JToolBarHelper::preferences('com_bonussystem');
	}
}
